Last Comment Bug 876347 - Move to->Recent-><name of your recent folder> is empty
: Move to->Recent-><name of your recent folder> is empty
Status: RESOLVED FIXED
: ux-consistency, ux-natural-mapping
Product: Thunderbird
Classification: Client Software
Component: Folder and Message Lists (show other bugs)
: 22 Branch
: x86 All
: -- normal (vote)
: Thunderbird 24.0
Assigned To: :aceman
:
:
Mentors:
Depends on: 889752
Blocks: tb24beta
  Show dependency treegraph
 
Reported: 2013-05-27 00:33 PDT by Bogomil Shopov[:Bogomil]
Modified: 2013-07-03 00:52 PDT (History)
8 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch [checked in: comment 18] (1.09 KB, patch)
2013-05-28 13:26 PDT, :aceman
mkmelin+mozilla: review+
bwinton: ui‑review+
neil: feedback+
Details | Diff | Splinter Review
fix test (2.70 KB, patch)
2013-06-20 12:46 PDT, :aceman
standard8: review+
Details | Diff | Splinter Review

Description Bogomil Shopov[:Bogomil] 2013-05-27 00:33:40 PDT
1. Select a message or set of messages from your inbox and right click on it to expose the context menu.

2.Select Move to->Recent-><name of your recent folder>

Nothing is shown after recent. If there is no recent, maybe a message should be shown.
Comment 1 Bogomil Shopov[:Bogomil] 2013-05-27 00:57:11 PDT
Also if my "recent" is trash, it is still empty. It works only of "recent" is a real folder.
Comment 2 :aceman 2013-05-27 07:35:49 PDT
I do not understand this completely. Can you please attach a screenshot?
Comment 3 Ludovic Hirlimann [:Usul] 2013-05-27 07:38:18 PDT
(In reply to :aceman from comment #2)
> I do not understand this completely. Can you please attach a screenshot?

Doing a screenshot of a contextual menu is hard.
Comment 4 :aceman 2013-05-27 07:43:29 PDT
OK, then how does it differ from this screenshot https://bug840591.bugzilla.mozilla.org/attachment.cgi?id=712973 ?
Comment 5 :aceman 2013-05-27 07:51:14 PDT
Is it that there are no recent folders to be shown, so the Recent submenu is empty? We could show a dummy item saying "<No items>" or disable the Recent submenu.
Comment 6 Bogomil Shopov[:Bogomil] 2013-05-27 08:35:17 PDT
(In reply to :aceman from comment #5)
> Is it that there are no recent folders to be shown, so the Recent submenu is
> empty? We could show a dummy item saying "<No items>" or disable the Recent
> submenu.

This is it. Sorry for not being clear before. Recent submenu is completely empty, but still there is an arrow and the user expect to see something. A dummy item will be more than fine.
Comment 7 :aceman 2013-05-27 10:05:46 PDT
Disabling the Recent item would be easier. I imagine this only happens in a new profile where no folder is Recent yet?
Comment 8 :aceman 2013-05-28 13:26:03 PDT
Created attachment 754980 [details] [diff] [review]
patch [checked in: comment 18]

Ok, so this is my version.

Bwinton, Neil:
If the small arrow (meaning Recent is a menu) should be hidden, that can be done. If you want to leave Recent enabled and make it contain one dummy disabled item saying "<no items>", say so :)
Comment 9 neil@parkwaycc.co.uk 2013-05-28 16:43:10 PDT
Comment on attachment 754980 [details] [diff] [review]
patch [checked in: comment 18]

Seems reasonable, although I don't know whether SeaMonkey uses recent folders anywhere yet.
Comment 10 Wayne Mery (:wsmwk, NI for questions) 2013-05-29 10:55:55 PDT
(In reply to :aceman from comment #7)
> Disabling the Recent item would be easier. I imagine this only happens in a
> new profile where no folder is Recent yet?

Or if the persistent information is lost. Not sure where. panacea.dat?
Otherwise, new profile should be the only case.


(In reply to neil@parkwaycc.co.uk from comment #9)
> I don't know whether SeaMonkey uses recent folders anywhere yet.

it does
Comment 11 Magnus Melin 2013-05-30 05:03:36 PDT
(In reply to Wayne Mery (:wsmwk) from comment #10)
> (In reply to :aceman from comment #7)
> > Disabling the Recent item would be easier. I imagine this only happens in a
> > new profile where no folder is Recent yet?
> 
> Or if the persistent information is lost. Not sure where. panacea.dat?
> Otherwise, new profile should be the only case.

it's the mail.last_msg_movecopy_target_uri pref
Comment 12 Magnus Melin 2013-05-30 05:04:01 PDT
Ah, scrap that, thats for "move again"
Comment 13 Bogomil Shopov[:Bogomil] 2013-05-30 05:43:37 PDT
bug877620 is similar to that one.
Comment 14 Magnus Melin 2013-06-06 03:12:59 PDT
Comment on attachment 754980 [details] [diff] [review]
patch [checked in: comment 18]

Review of attachment 754980 [details] [diff] [review]:
-----------------------------------------------------------------

LGTM, r=mkmelin
Comment 15 Ryan VanderMeulen [:RyanVM] 2013-06-06 04:53:27 PDT
ui-r?
Comment 16 :aceman 2013-06-06 04:59:39 PDT
Sorry, I was too fast :)
Comment 17 Blake Winton (:bwinton) (:☕️) 2013-06-16 17:58:18 PDT
Comment on attachment 754980 [details] [diff] [review]
patch [checked in: comment 18]

Yeah, okay, ui-r=me.
Comment 18 Ryan VanderMeulen [:RyanVM] 2013-06-18 08:40:25 PDT
https://hg.mozilla.org/comm-central/rev/21f166b10149
Comment 19 :aceman 2013-06-20 12:46:22 PDT
Created attachment 765535 [details] [diff] [review]
fix test

This change broke a test so this fixes it again.
Comment 20 :aceman 2013-06-20 12:50:15 PDT
Actually, the test does not fail on Thunderbird-Trunk on Linux (only other systems) but it did fail for me on Linux locally. Not sure why that is, it should fail on all systems. Aryx, could you please run a trybuild run with this patch (mozmill tests only) ?
Comment 21 :aceman 2013-06-21 01:46:45 PDT
https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=ca903ae977f9

Great, so the patch fixed the test on OS X and Win but broke it now on Linux...
Comment 22 :aceman 2013-06-22 04:50:00 PDT
Let's try it on trunk if this isn't just the common linux popup fluke.
Comment 23 Ryan VanderMeulen [:RyanVM] 2013-06-23 17:40:41 PDT
https://hg.mozilla.org/comm-central/rev/645be9e5edaf

Note You need to log in before you can comment on or make changes to this bug.